#include "sys.h"
#include "delay.h"
#include "usart.h"
#include "key.h"  
#include "epaper.h"  
#include "stm32f4xx.h"
#include "timer.h"
#include "text.h"	
//#include "malloc.h" 

//#include "timer.h"
//ALIENTEK 探索者STM32F407开发板 实验36
//外部SRAM 实验 
//技术支持：www.openedv.com
//淘宝店铺：http://eboard.taobao.com  
//广州市星翼电子科技有限公司  
//作者：正点原子 @ALIENTEK



void RAM_Init(void)
{

	
}

int main(void)
{        
	u16 i;
	
	LED_Init();
	DIP_Switch_Init();
	Epaper_Init();
	TIM3_Int_Init(10-1,8400-1);	//定时器时钟84M，分频系数8400，所以84M/8400=10Khz的计数频率，计数10次为1ms

	Judge_Display();
	
//	while(GPIO_ReadInputDataBit(TEST_CTR_PORT,TEST_CTR)==0)	
//			EPD_PowerOn();
	EPD_PowerOff(); 
	EPD_Init();
	make_wave_table();

	for(i=0;i<2;i++)
	{
		if(u_test == 0)
			u_test = 1;
		else
			u_test = 0;

		EPD_Display_PIC();				//显示图片	

		Delay(0x8000000);
	}
	

	while(1)
	{
//		deal_key();										
	}
}


